<?php
include 'core/sys.php';
head('Воровство');
$ank_id = int($_GET['ank']);
$ank = mysql_fetch_assoc(mysql_query("SELECT `login`,`id`,`money`,`ohrana`,`vor_time`
 FROM `users` WHERE `id`='".$ank_id."'"));
if(!isset($_GET['ank']) or empty($_GET['ank']) or !$ank or $ank_id == $user['id']){
header('Location: index.php');
exit;
}
$rand_money = rand(1,120);
	$time_vor = $ank['vor_time'] + (60*60*24);
	if(time() < $time_vor){
	echo '<div class="row">Этого игрока уже обворовали сегодня</div>';
	foot();
	exit;
	}
	if($ank['money']<500){
	echo '<div class="row">Приходите сюда,когда у него будет больше 500 золота</div>';
	foot();
	exit;
	}
	
$ohr = mysql_fetch_assoc(mysql_query("SELECT `login`,`level`,`id` FROM `users` WHERE `id`='".$ank['ohrana']."'"));
if($ank['ohrana']==0 or !$ohr){
$chanse =1;
}else{
$chanse = $ohr['level'];
}
$udacha = rand(1,$chanse);
if($udacha != 1){
if($ank['money']< 1 or $ank['money'] < $rand_money){
$rand_money = 0;
}
echo '<div class="row">Охранник <a href="pers.php?ank='.$ohr['id'].'"><b>'.$ohr['login'].'</b></a> поймал Вас с поличным и отобрал <img src="img/money/money.png" alt="">  '.$rand_money.'</div>';
mysql_query("UPDATE `users` SET
 `money`=`money`-".$rand_money."
 WHERE `id`='".$user['id']."'");
 mysql_query("UPDATE `users` SET
 `vor_time`='".time()."'
 WHERE `id`='".$ank['id']."'");
foot();
exit;
}




	if($ank['money']< 1){
	echo '<div class="row">Вы обыскали весь склад, но не нашли и грама золота :(</div>';
	foot();
	exit;
	}
if($ank['money']< $rand_money){
$rand_money = $ank['money']-1;
}

echo '<div class="row"><a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a> , был обворован.<br> 
Ваша добыча: <img src="img/money/money.png" alt=""> '.$rand_money.'</div>';
mysql_query("UPDATE `users` SET
 `money`=`money`-".$rand_money.",
 `journal`=`journal`+1,
 `vor_time`='".time()."'
 WHERE `id`='".$ank['id']."'");
 mysql_query("INSERT INTO `journal` SET
`user_id`='".$ank['id']."',
`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> украл у вас золото <img src=\"img/money/money.png\" alt=\"\"> ".$rand_money."',
`time`='".time()."'");
 mysql_query("UPDATE `users` SET
 `money`=`money`+".$rand_money."
 WHERE `id`='".$user['id']."'");
foot();
?>